VaultsAll Vault policies (flat)

All Vault policies (flat)

Policies from all of the Vault's groups in a single list with their owner group, for an overview of "what's in effect in this Vault at all" without walking through the groups. Keyset pagination.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/test_vault/policies?actionType=transfer&effect=allow&enabled=true&limit=42&cursor=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "code": "allow-small",
      "name": "John Doe",
      "description": "example_string",
      "logoUri": "example_string",
      "color": "#0A84FF",
      "emoji": "🛡️",
      "actionType": "transfer",
      "effect": "allow",
      "blockReason": "example_string",
      "approvalThreshold": 42,
      "adminBypass": true,
      "allowInitiatorApproval": true,
      "enabled": true,
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z",
      "_count": {
        "rules": 42
      },
      "group": {
        "id": "example_string",
        "code": "traders",
        "name": "John Doe"
      }
    }
  ],
  "nextCursor": "example_string"
}
GET
/api/v1/vaults/{code}/policies
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

query
actionTypestring
Options: transfer, create_address, counterparty_create, counterparty_update, counterparty_archive, counterparty_group_create, counterparty_group_update, counterparty_group_archive, counterparty_group_add, counterparty_group_remove
query
effectstring
Options: allow, block, requireApproval
query
enabledstring
Options: true, false
query
limitinteger
Min: 1 • Max: 100
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
test_vault

Query Parameters

actionTypestring
Allowed values:transfercreate_addresscounterparty_createcounterparty_updatecounterparty_archivecounterparty_group_createcounterparty_group_updatecounterparty_group_archivecounterparty_group_addcounterparty_group_remove
effectstring
Allowed values:allowblockrequireApproval
enabledstring
Allowed values:truefalse

Responses

itemsarray
Required
nextCursorstring
Required